from django.contrib.auth import authenticate, login, logout
from django.contrib.auth.decorators import login_required
from django.shortcuts import redirect, render        


# YAGNI - you ain't gonna need it
# KISS - keep it simple stupid
@login_required
def login_view(request):
    context = {}

    if request.method == 'POST':
        username = request.POST.get('username')
        password = request.POST.get('password')
        user = authenticate(request, username=username, password=password)

        if user:
            login(request, user)
            return redirect('index')

        context['has_errors'] = True

    return render(request, 'auth/login.html', context=context)


def logout_view(request):
    logout(request)
    return redirect('index')
